Put Profile
PUT
/me/profile
const url = 'https://example.com/me/profile';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"age_max":1,"age_min":1,"birthdate":"2026-04-15","consent":false,"gender":"example","seeking":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/me/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "age_max": 1, "age_min": 1, "birthdate": "2026-04-15", "consent": false, "gender": "example", "seeking": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ProfileWriteIn
object
age_max
required
Age Max
integer
age_min
required
Age Min
integer
birthdate
required
Birthdate
string format: date
consent
Consent
boolean
gender
required
Gender
string
seeking
required
Seeking
Array<string>
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProfileOut
object
age_max
required
Age Max
integer
age_min
required
Age Min
integer
birthdate
required
Birthdate
string format: date
gender
required
Gender
string
seeking
required
Seeking
Array<string>
updated_at
required
Updated At
string format: date-time
Examplegenerated
{ "age_max": 1, "age_min": 1, "birthdate": "2026-04-15", "gender": "example", "seeking": [ "example" ], "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}